Bug 508862 - please update to 1.0.2
please update to 1.0.2
Product: Fedora
Classification: Fedora
Component: mono-nat (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Paul Lange
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-06-30 06:16 EDT by David Nielsen
Modified: 2009-09-18 20:12 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.0.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-18 20:12:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2009-06-30 06:16:51 EDT
Description of problem:


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Michel Alexandre Salim 2009-09-10 18:01:37 EDT
That is for Mono.Nat, though, not MonoTorrent? Though to be honest, given the total lack of documentation (not even a README file -- seriously!) it is rather hard to tell which is which.
Comment 2 David Nielsen 2009-09-11 02:36:51 EDT
the monotorrent developer does both, he announces new releases on the same blog. It's quite handy really.
Comment 3 Michel Alexandre Salim 2009-09-13 11:16:04 EDT
Right, but we package monotorrent, and not mono-nat, so how does this affect us? (Sorry if this is being obtuse, but upstream does not exactly make this clear. No public repository too, only snapshot tarballs.. euh)
Comment 4 David Nielsen 2009-09-13 12:58:39 EDT
http://cvs.fedoraproject.org/viewvc/rpms/mono-nat/ <- Someone forgot to tell mono-nat that.

I am the initial packager and maintainer of mono-nat for Fedora. Since I stepped down Paul Lange has kindly taken this low maintance package.

There is a public repo as well, like many Mono related projects it lives in svn on mono-project.org:


Any other questions?
Comment 5 Paul Lange 2009-09-13 13:48:54 EDT
Sorry for not replying faster, I'm just back from vacations. 
Do we need 1.0.2 in F11? 1.0.2 is already in rawhide and I only forgot to close this bug.
Comment 6 Michel Alexandre Salim 2009-09-13 14:25:09 EDT
I must be blind; sorry, for some reason I saw the monotorrent blog post and didn't notice that this is already assigned to mono-nat, not monotorrent
Comment 7 David Nielsen 2009-09-13 15:27:42 EDT
As I understand it:

A) newer monotorrent releases depend on this.
B) it's a pure bugfix release with no compatibility problems.

Given that I think it would serve our users best to have it available on every maintained Fedora release.

The general policy on these matters tends to be to keep the same libraries and application versions available to all. It lessens the amount of code you have to support and gives our users the very latest bugfixes. It also gives upstream the assurance that users will not flood them with bugs already fixed which tends to make them happy.

I would request that it be issued as an update and thank you Paul for putting this in Rawhide, I hope you had an enjoyable vacation. Please set the update to close this when it hits the repos.

Michel, apology accepted.
Comment 8 Fedora Update System 2009-09-16 07:10:55 EDT
mono-nat-1.0.2-1.fc11 has been submitted as an update for Fedora 11.
Comment 9 Paul Lange 2009-09-16 07:14:01 EDT
update is in the queue.

One more question: do we have to rebuild monotorrent or monsoon?
Comment 10 David Nielsen 2009-09-16 07:54:04 EDT
You shouldn't need to.
Comment 11 Fedora Update System 2009-09-16 16:36:12 EDT
mono-nat-1.0.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mono-nat'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9688
Comment 12 Fedora Update System 2009-09-18 20:12:00 EDT
mono-nat-1.0.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.